﻿.news-page-box{
    width: 1000px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 100px 0;
    margin-top: 80px;
    min-height: calc(100vh - 80px);
}
.news-page-data-box{
    width: 140px;
    display: inline-block;
    vertical-align: middle;
}
.news-page-data{
    font-size: 14px;
    font-family: 'Roboto';
    font-weight: 100;
    letter-spacing: 2px;
    color: #888;
    display: inline-block;
    vertical-align: middle;
    line-height: 36px;
}
.news-page-tag{
    font-size: 14px;
    color: #00a4a5;
    letter-spacing: 1px;
    line-height: 36px;
}
.news-page-title{
    width: calc(100% - 140px);
    display: inline-block;
    vertical-align: middle;
    font-size: 26px;
    font-weight: bold;
}
.news-page-info-edit{
    font-size: 16px;
    color: #555;
    font-weight: lighter;
    line-height: 2;
    letter-spacing: 1px;
}
.news-page-btn-box{
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    box-sizing: border-box;
    padding: 30px 0;
    margin-top: 100px;
}
.news-page-btn{
    font-size: 14px;
    color: #888;
    letter-spacing: 1px;
    transition: all .3s linear;
}
.news-page-btn i{
    margin: 0 3px;
    display: inline-block;
    vertical-align: middle;
}
.news-page-btn span{
    width: calc(100% - 17px);
    display: inline-block;
    vertical-align: middle;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.news-page-btn-prev-box,
.news-page-btn-back-box,
.news-page-btn-next-box{
    display: inline-block;
    vertical-align: middle;
    width: 33.3333%;
}
.news-page-btn-back-box{
    text-align: center;
}
.news-page-btn-next-box{
    text-align: right;
}



/*------------hover-------------*/
.news-page-btn:hover{
    color: #79be3f;
}
.news-page-btn-prev:hover i{
    animation: arrow_l 0.6s linear 0s infinite alternate;
}
.news-page-btn-next:hover i{
    animation: arrow_r 0.6s linear 0s infinite alternate;
}

@keyframes arrow_l {
    0%{

    }
    to {
        transform: translateX(-5px);
    }
}
@keyframes arrow_r {
    0%{

    }
    to {
        transform: translateX(5px);
    }
}



@media only screen and (max-width: 1000px){
    .news-page-box{
        width: 750px;
    }
}
@media only screen and (max-width: 750px){
    .news-page-box{
        width: 550px;
        padding: 50px 0;
    }
    .news-page-data-box{
        display: block;
        width: 100%;
    }
    .news-page-title{
        display: block;
        width: 100%;
        font-size: 22px;
    }
    .news-page-data,
    .news-page-tag{
        line-height: 26px;
    }
    .news-page-btn-box{
        margin-top: 50px;
    }
    .news-page-info-box{
        margin-top: 5px;
    }
}
@media only screen and (max-width: 550px){
    .news-page-box{
        width: 400px;
    }
    .news-page-title{
        font-size: 18px;
    }
    .news-page-data,
    .news-page-tag{
        line-height: 22px;
        font-size: 12px;
    }
    .news-page-info-edit{
        font-size: 14px;
    }
    .news-page-btn-box{
        padding: 20px;
        margin-top: 30px;
    }
}
@media only screen and (max-width: 400px){
    .news-page-box{
        width: 300px;
    }
    .news-page-title{
        font-size: 16px;
    }
    .news-page-info-edit{
        font-size: 12px;
    }
    .news-page-btn-box{
        padding: 10px;
        margin-top: 15px;
    }
}





/*animation*/

@media only screen and (min-width: 1001px){
    .news-page-data-box,
    .news-page-title,
    .news-page-info-edit,
    .news-page-btn-box{
        opacity: 0;
    }
    .news-page-data-box.anima{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .news-page-title.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .news-page-info-edit.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .news-page-btn-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}